Subject: Re: [PATCH 3/3] refspec: store raw refspecs inside refspec_item

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Nov 2024 18:30:05 +0900

Jeff King <[email-masked]> writes:

> The refspec struct keeps two matched arrays: one for the refspec_item
> structs and one for the original raw refspec strings. The main reason
> for this is that there are other users of refspec_item that do not care
> about the raw strings. But it does make managing the refspec struct
> awkward, as we must keep the two arrays in sync. This has led to bugs in
> the past (both leaks and double-frees).

Yeah, I was wondering about this while reading [2/3], and it is very
satisfying to see that the concluding step for the series ends in
this change.

Thanks.